<?php

/**
 * @file
 * Themes the returned rows.
 */
  $items = array();
  foreach ($rows as $nid => $row) {
    $node = node_load(array('nid' => $nid));
    $items[] = theme('faq_search_result', $node);
  }
  $items = array_filter($items);
  if (empty($items)) {
    print t("<p class='message'>No matches!</p>");
  }
  else {
    print '<div class="faq-content"><div class="faq">'. implode('', $items) .'</div></div>';
  }
  $settings = faq_search_settings();
  if ($settings['viewall'] == 1) {
    print '<div class="links">'. l(t('View All'), 'faq') .'</div>';
  }
